View Issue Details

IDProjectCategoryView StatusLast Update
0004978SymmetricDSBugpublic2021-06-09 00:00
Reporterjosh-a-hicks Assigned Tojosh-a-hicks  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.10Fixed in Version3.12.10 
Summary0004978: Binary primary keys will not delete as part of conflict resolution
DescriptionAs part of the built in conflict resolution the deleteForeignKeyChildren does not properly encode binary primary keys so that the resolution can take place. The encoding should use the batch encoding rather than HEX encoding all the time.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.13 359d4ba9

2021-05-06 14:51:47

joshhicks

Details Diff
0004978: Binary primary keys will not delete as part of conflict
resolution
Affected Issues
0004978
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDdlReader.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/bigquery/BigQueryDdlReader.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/cassandra/CassandraDdlReader.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/kafka/KafkaDdlReader.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbFill.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2021-05-06 14:47 josh-a-hicks New Issue
2021-05-06 14:47 josh-a-hicks Status new => assigned
2021-05-06 14:47 josh-a-hicks Assigned To => josh-a-hicks
2021-05-07 11:05 josh-a-hicks Status assigned => resolved
2021-05-07 11:05 josh-a-hicks Resolution open => fixed
2021-05-07 11:05 josh-a-hicks Fixed in Version => 3.12.10
2021-05-28 20:40 admin Status resolved => closed
2021-06-09 00:00 Changeset attached => SymmetricDS 3.13 359d4ba9